<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <link href="/css/login.css" rel="stylesheet" id="bootstrap-css">
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet">
    <script src="/maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <script src="/cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

    <meta charset="UTF-8">
    <title>Create service</title>
</head>

<body id="body">
<div id="login" class="container my-5">
    <h1 style="text-align: center">Create service</h1>
    <div class="card">
        <div class="card-body">
            <div class="col-md-10">
                <form action="" th:action="@{/admin/new-service}"
                      th:object="${service}" th:method="post">

                    <div class="form-group col-md-8">
                        <label for="serviceType" class="col-form-label">Service Type </label>
                        <input type="text" th:field="*{serviceType}" class="form-control"
                               id="serviceType" placeholder="Service Type"
                               required="" minlength="2" maxlength="30"/>
                    </div>

                    <div class="form-group col-md-8">
                        <label for="price" class="col-form-label">Price</label>
                        <input type="number" th:field="*{price}" class="form-control"
                               id="price" placeholder="Price"
                               required="" min="0"/>
                    </div>

                    <div class="col-md-6">
                        <input type="submit" class="btn btn-primary" value=" Create service ">
                    </div>

                    <br>

                    <p>
                        <a th:href="@{/admin}">Back to Admin portal</a>
                    </p>
                </form>
            </div>
        </div>
    </div>
</div>
</body>
</html>
